Bug 1382069 - [RFE] Smart Class Parameter boxes use Fixed Width Font
Summary: [RFE] Smart Class Parameter boxes use Fixed Width Font
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Smart Variables
Version: 6.1.10
Hardware: x86_64
OS: Linux
low
low vote
Target Milestone: 6.4.0
Assignee: Jitendra Yejare
QA Contact: Jitendra Yejare
URL:
Whiteboard:
: 1529205 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-05 16:22 UTC by Rick Dixon
Modified: 2019-11-05 23:01 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 15:26:32 UTC
Target Upstream Version:


Attachments (Terms of Use)
Verified - Monospace Font with Puppet Param Fullscreen (144.74 KB, image/png)
2018-08-14 08:46 UTC, Jitendra Yejare
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2927 None None None 2018-10-16 15:27:05 UTC
Foreman Issue Tracker 20537 None None None 2017-09-04 13:59:33 UTC

Description Rick Dixon 2016-10-05 16:22:12 UTC
Description of problem:

When editing Smart Class Parameters in YAML format, the use of a variable width font makes manipulation of that text difficult.

A fixed width font would clarify the alignment of space dependent values.

Please add the below to the CSS for Foreman Smart Class Parameter Text Boxes:

   style="font-family:monospace;"


Can this be considered for Sat 6.3?

Comment 1 orabin 2017-09-04 13:59:30 UTC
Connecting redmine issue http://projects.theforeman.org/issues/20537 from this bug

Comment 2 pm-sat@redhat.com 2017-09-04 14:03:15 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/20537 has been resolved.

Comment 3 Tomer Brisker 2017-12-27 08:12:47 UTC
*** Bug 1529205 has been marked as a duplicate of this bug. ***

Comment 5 Jitendra Yejare 2018-08-14 08:46:12 UTC
Created attachment 1475775 [details]
Verified - Monospace Font with Puppet Param Fullscreen

Verified!

@ Satellite 6.4 snap 17

Steps:
1. Have a puppet class in satellite.
2. Go to Puppet Class -> Puppet Class Parameter.
3. Override that parameter to update the value to YAML(or any) format in fullscreen.
4. Check font and usability.


Behavior:

1. The font used is 'font-family: monospace'. (check screenshot of verification)
2. Its easy to add and edit the YAML data in fullscreen now. (Check the same screenshot)

Note: 

I also verified the matcher fullscreen textbox and it provides everything written in behavior ans as expected.

Comment 6 Pat Riehecky 2018-08-14 13:10:17 UTC
Any chance to backport to to Sat 6.3.z?

Comment 8 Brad Buckingham 2018-08-14 15:14:47 UTC
Hello Pat,

At this time, there are no plans to backport the change in to Sat 6.3.z.  That said, it has been verified by the QE team for inclusion in Sat 6.4.

Comment 10 errata-xmlrpc 2018-10-16 15:26:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.